Difference between revisions of "Draft Line/cs"

From FreeCAD Documentation
Jump to: navigation, search
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 2: Line 2:
 
{{GuiCommand/cs|Name=Draft Line|Name/cs=Kreslení Přímka|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení → Přímka|Shortcut=L I|SeeAlso=[[Draft Wire/cs|Kreslení drát]]}}
 
{{GuiCommand/cs|Name=Draft Line|Name/cs=Kreslení Přímka|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Kreslení → Přímka|Shortcut=L I|SeeAlso=[[Draft Wire/cs|Kreslení drát]]}}
  
 +
<div class="mw-translate-fuzzy">
 
==Popis==
 
==Popis==
 
Nástroj Přímka vytváří rovnou dvoubodovou přímku v aktuální [[Draft SelectPlane/cs|pracovní rovině]]. Použije se  [[Draft Linestyle/cs|tloušťka čáry a barva]] předem zadaná v záložce Nástrojů. Nástroj Přímka se chová přesně stejně jako nástroj [[Draft Wire/cs|Drát (lomená čára)]]  kromě toho že končí po zadání dvou bodů.
 
Nástroj Přímka vytváří rovnou dvoubodovou přímku v aktuální [[Draft SelectPlane/cs|pracovní rovině]]. Použije se  [[Draft Linestyle/cs|tloušťka čáry a barva]] předem zadaná v záložce Nástrojů. Nástroj Přímka se chová přesně stejně jako nástroj [[Draft Wire/cs|Drát (lomená čára)]]  kromě toho že končí po zadání dvou bodů.
 +
</div>
  
 
[[Image:Draft_Line_example.jpg|400px]]
 
[[Image:Draft_Line_example.jpg|400px]]
Line 32: Line 34:
 
Nástroj Přímka může být využit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
 
Nástroj Přímka může být využit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
 
{{Code|code=
 
{{Code|code=
makeLine (Vector, Vector)
+
Line = makeLine(p1, p2)
 +
Line = makeLine(LineSegment)
 +
Line = makeLine(Shape)
 +
 
 
}}
 
}}
 +
<div class="mw-translate-fuzzy">
 
* Vytvoří přímku mezi dvěma zadanými vektory. Pro kreslení je použita aktuálně nastavená šířka a barva čáry.
 
* Vytvoří přímku mezi dvěma zadanými vektory. Pro kreslení je použita aktuálně nastavená šířka a barva čáry.
 
* Vrací nově vytvořený objekt.
 
* Vrací nově vytvořený objekt.
 +
</div>
  
 
Příklad:
 
Příklad:
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft
 
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
+
Draft.makeLine(FreeCAD.Vector(0,0,0), FreeCAD.Vector(2,0,0))
 
}}
 
}}
  
 
{{clear}}
 
{{clear}}

Revision as of 09:37, 26 October 2018

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎

Draft Line.svg Kreslení Přímka

Umístění Menu
Kreslení → Přímka
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
L I
Představen ve verzi
-
Viz také
Kreslení drát


Popis

Nástroj Přímka vytváří rovnou dvoubodovou přímku v aktuální pracovní rovině. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů. Nástroj Přímka se chová přesně stejně jako nástroj Drát (lomená čára) kromě toho že končí po zadání dvou bodů.

Draft Line example.jpg

Použití

  1. Stiskněte tlačítko Draft Line.png Přímka nebo klávesy L pak I
  2. Klikněte na první bod ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice.

Volby

  • Po zadání prvního bodu stiskněte X, Y nebo Z pro určení osy druhého bodu.
  • Pro zadání souřadnic ručně, jednoduše zadejte číslo a stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu R nebo klikněte/odklikněte zaklikávací políčko Relativní. Je-li nastaven relativní mód jsou souřadnice následujícího bodu relativní k předchozímu bodu. Je-li mód absolutní souřadnice jsou vztaženy k počátečnímu bodu (0,0,0).
  • Stiskněte klávesu T nebo klikněte/odklikněte zaklikávací políčko Pokračovat. Je-li nastaven pokračovací mód, nástroj Přímka bude po ukončení křivky restartován a připraven ke kreslení další přímky bez nutnosti znovu jej spouštět klikáním na tlačítko Přímka.
  • Stiskněte při kreslení klávesu CTRL pro přichycení Vašeho bodu k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Stiskněte při kreslení klávesu SHIFT pro nastavení vazby Vašeho dalšího bodu vodorovně nebo svisle v relaci k předchozímu bodu.
  • Stiskněte klávesy CTRL+Z nebo tlačítko Draft UndoLine.png Undo ke zrušení posledního bodu.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu Přímka.

Vlastnosti

  • DATAPočátek: Počáteční bod
  • DATAKonec: Koncový bod
  • DATASubdivisions: Divides the line with the given number of subdivisions introduced in version 0.16

Skriptování

Nástroj Přímka může být využit v makrech a z konzoly Pythonu použitím následující funkce:

Line = makeLine(p1, p2)
Line = makeLine(LineSegment)
Line = makeLine(Shape)
  • Vytvoří přímku mezi dvěma zadanými vektory. Pro kreslení je použita aktuálně nastavená šířka a barva čáry.
  • Vrací nově vytvořený objekt.

Příklad:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0), FreeCAD.Vector(2,0,0))